ol,.ans,.choice,#allChoices {
    font-size: 25px;
}

h3 {
    margin-bottom: 0;
}

p {
    font-size: 0.75em;
}

.peg {
    display: inline-block;
    min-width: 1.0em;
    min-height: 1.0em;
    border-radius: 50%;
    margin-left: 2px;
    color: rgba(0,0,0,0.6);
    font-weight: 900;
    filter: opacity(0.8);
    text-align: center;
    line-height: 0.9em;
}

.peg.highlight {
    color: rgba(0,0,0,1);
    filter: opacity(1);
    border: 3px solid rgba(255,255,255,0.15);
}

/* http://www.colorschemer.com/schemes/index.php?tag=pastel */
.p0 {
    background: radial-gradient(80% 80%, white,#D2315D 35%);
}

.p1 {
    background: radial-gradient(80% 80%, white,#F7C808 35%);
}

.p2 {
    background: radial-gradient(80% 80%, white,#E98813 35%);
}

.p3 {
    background: radial-gradient(80% 80%, white, #22B5BF 35%);
}

.p4 {
    background: radial-gradient(80% 80%, white,#8767A6 35%);
}

.p5 {
    background: radial-gradient(85% 85%, white,#88c134 35%);
}

.p0, .p1, .p2, .p3, .p4, .p5 {
    background-position: 0.25em -0.25em;
}

.pempty {
    background: radial-gradient(80% 80%, #fafafa,#f8f8f8, #eeeeee, #eee, #ddd,#888);
    background-position: -0.1em 0.1em;
}

.score {
    display: inline-block;
    width: 0.25em;
    height: 0.25em;
    border-radius: 50%;
    margin-left: 2px;
    vertical-align: 25%;
    border: 0.025em solid black;
}

.s0 {
    background: white;
}

.s1 {
    background: black;
}

.ans, #allChoices {
    border: 1px solid grey;
    border-radius: 5px;
    float: left;
    text-align: middle;
    padding: 0;
    margin: 3px;
    padding-right: 2px;
    padding-top: 3px;
    line-height: 1em;
}

ol.problem, #allChoices, .correct {
    background: -webkit-linear-gradient(18deg, #bbf9c7, #ffffcc, #bbf9c7);
}

.incorrect {
    background: -webkit-linear-gradient(18deg, pink, #ffffcc, pink);
}

ol.problem, #allChoices, div.ans {
    display: inline-block;
    margin: auto;
    border: 1px solid grey;
    border-radius: 5px;
}

ol.problem {
    padding-right: 0.5em;
}

li, div.ans {
    clear: both;
    margin-top: 0.25em;
    margin-bottom: 0.25em;
    padding-bottom: 0.1em;
}

ol, #allChoices {
    padding-top: 0.1em;
    padding-bottom: 0.1em;
}

.choice {
    position: absolute;
    visibility: hidden;
    opacity: 0.5;
}

#container {
    cursor: -webkit-grabbing;
}

#container:hover .choice {
    visibility: visible;
}

.comment {
    display: inline-block;
    font-size: 15px;
    border: 1px dashed grey;
    border-radius: 5px;
    width: 250px;
    text-align: middle;
    padding: 0;
    margin: 3px;
}

.fail {
    text-decoration: line-through;
    color: red;
}